# $Revision: 1.38 $, $Date: 2008/07/27 22:34:56 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filesys
%define		pnam	DiskFree
Summary:	Filesys::DiskFree - perform the UNIX command 'df' in a portable fashion
Summary(pl.UTF-8):	Filesys::DiskFree - przenośna postać uniksowego polecenia 'df'
Name:		perl-Filesys-DiskFree
Version:	0.06
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e39b3b10468fd98973ce76a97351f3c4
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
Obsoletes:	perl-DiskFree
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Filesys::DiskFree Perl module does about what the UNIX command df(1)
does, listing the mounted disks, and the amount of free space used and
available.

%description -l pl.UTF-8
Moduł Perla Filesys::DiskFree robi to samo, co uniksowe polecenie
df(1), wypisuje listę zamontowanych dysków oraz ilość użytego i
dostępnego miejsca na nich.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -af eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README eg
%{perl_vendorlib}/Filesys/DiskFree.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Filesys-DiskFree.spec,v $
Revision 1.38  2008/07/27 22:34:56  arekm
- release 13

Revision 1.37  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.35  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.34  2004/11/03 22:30:22  paladine
- formatting

Revision 1.33  2004/05/07 01:04:48  ankry
- rel. 12

Revision 1.32  2004/05/06 18:09:36  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/25 10:46:47  ankry
- tests added

Revision 1.30  2004/04/20 16:43:16  ankry
- summary/description/license fixes

Revision 1.29  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.28  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:09:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:32:28  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/07/22 21:36:02  ankry
- translations, cleaning
- added examples
- release 10

Revision 1.19  2002/07/21 00:52:03  kloczek
- release 9: use new %doc.

Revision 1.18  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:14:42  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:26:26  depesz
adapterized

Revision 1.12  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:09:09  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/04 01:51:21  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
